Discover current retained correspondence without consuming usage
GET
/v1/mail/messagesAuthorizationBearer <token>
In: header
Query Parameters
mailboxId?string
Omit for the acting account's Mailbox; other targets require owner/admin authority
Format:
uuidafter?string
Length:
length <= 512limit?integer
Range:
1 <= value <= 100Default:
50view?string
Default:
"active"Value in:
- "active"
- "archive"
- "all"
- "trash"
direction?string
Value in:
- "incoming"
- "outgoing"
subject?string
Case-insensitive literal substring; no body search
Length:
1 <= length <= 128Response Body
application/json
curl -X GET "https://example.com/v1/mail/messages"{
"messages": [
{
"messageId": "8540d774-4863-4d2b-b788-4ecb19412e85",
"mailboxId": "f16f762c-c61b-441d-8b9c-9aff4650cbe1",
"direction": "incoming",
"operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
"createdAt": "2019-08-24T14:15:22Z",
"trashedAt": "2019-08-24T14:15:22Z",
"archivedAt": "2019-08-24T14:15:22Z",
"retainedBytes": 0,
"display": {
"from": "string",
"subject": "string",
"to": "string",
"cc": "string",
"reply-to": "string",
"message-id": "string",
"in-reply-to": "string",
"references": "string",
"auto-submitted": "string"
},
"metadataOmissions": [
"from"
],
"attachmentOmissions": 0,
"attachmentProgress": {
"total": 0,
"pending": 0,
"retained": 0,
"omitted": 0
},
"outgoingRecipients": {
"to": [
"user@example.com"
],
"cc": [
"user@example.com"
],
"bcc": [
"user@example.com"
]
},
"correspondence": {
"kind": "reply",
"sourceMessageId": "d8d89b28-2149-44de-ac51-ce0b86865800",
"messageId": "string",
"inReplyTo": "string",
"references": [
"string"
]
}
}
],
"nextCursor": "string"
}